umbrello: JavaCodeAccessorMethod Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | List of all members
JavaCodeAccessorMethod Class Reference

`#include <javacodeaccessormethod.h>`

Inheritance diagram for JavaCodeAccessorMethod:

## Public Member Functions
| JavaCodeAccessorMethod (CodeClassField *field, CodeAccessorMethod::AccessorType type)
virtual | ~JavaCodeAccessorMethod ()
void | update ()
virtual void | updateMethodDeclaration ()
virtual void | updateContent ()
Public Member Functions inherited from CodeAccessorMethod
| CodeAccessorMethod (CodeClassField *field)
virtual | ~CodeAccessorMethod ()
CodeClassField * | getParentClassField ()
AccessorType | getType ()
void | setType (AccessorType type)
bool | parentIsAttribute ()
virtual void | updateContent ()=0
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeMethodBlock
| CodeMethodBlock (ClassifierCodeDocument *doc, UMLObject *parentObj, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeMethodBlock ()
virtual QString | toString () const
QString | getStartMethodText () const
QString | getEndMethodText () const
CodeDocument * | getParentDocument ()
virtual void | updateContent ()=0
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
virtual void | updateContent ()=0
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
virtual QString | toString () const
void | setOverallIndentationLevel (int level)
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI1 (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI1 (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Protected Member Functions
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
Protected Member Functions inherited from CodeAccessorMethod
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | updateMethodDeclaration ()=0
void | forceRelease ()
Protected Member Functions inherited from CodeMethodBlock
virtual void | release ()
void | setStartMethodText (const QString &value)
void | setEndMethodText (const QString &value)
virtual void | updateMethodDeclaration ()=0
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesFromObject (TextBlock *obj)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Additional Inherited Members
Public Types inherited from CodeAccessorMethod
enum | AccessorType { GET =0 , SET , ADD , REMOVE , LIST }
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from CodeMethodBlock
virtual void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)

## Constructor & Destructor Documentation

## ◆ JavaCodeAccessorMethod()

JavaCodeAccessorMethod::JavaCodeAccessorMethod | ( | CodeClassField * | field,
|  | CodeAccessorMethod::AccessorType | type
| ) |  |

Constructor

## ◆ ~JavaCodeAccessorMethod()

JavaCodeAccessorMethod::~JavaCodeAccessorMethod | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ setAttributesFromNode()

void JavaCodeAccessorMethod::setAttributesFromNode | ( | QDomElement & | element | ) |
| protectedvirtual

Set the class attributes of this object from the passed element node.

Reimplemented from CodeAccessorMethod.

## ◆ setAttributesOnNode()

void JavaCodeAccessorMethod::setAttributesOnNode | ( | QXmlStreamWriter & | writer | ) |
| protectedvirtual

Set attributes of the node that represents this class in the XMI document.

Reimplemented from CodeAccessorMethod.

## ◆ update()

void JavaCodeAccessorMethod::update | ( |  | ) |

Must be called before this object is usable.

## ◆ updateContent()

void JavaCodeAccessorMethod::updateContent | ( |  | ) |
| virtual

This is the method called from within syncToparent() to update the *body* of the method. It is only called if the method is Auto-generated.

Implements CodeAccessorMethod.

## ◆ updateMethodDeclaration()

void JavaCodeAccessorMethod::updateMethodDeclaration | ( |  | ) |
| virtual

This is the method called from within syncToparent(). To update the start and end Method text. It is called whether or not the method is Auto or User generated.

Implements CodeAccessorMethod.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javacodeaccessormethod.h
- umbrello/codegenerators/java/javacodeaccessormethod.cpp